execute unless score running tutorial matches 1 run return 0

execute if score stage tutorial matches 0 positioned 0.0 66 -7.0 run function pizza:entities/tutorial
execute if score stage tutorial matches 0 run scoreboard players set stage tutorial 1

#Stage 1. RIGHT-CLICK The dough to pick it up.
execute if score stage tutorial matches 1 run title @a actionbar ["",{"text":"i","font":"pizza"},{"text":" the ","color":"#B3E395"},{"text":"dough ","color":"white"},{"text":"to pick it up.","color":"#B3E395"}]
execute if score stage tutorial matches 1 run teleport @e[tag=tutorial_hinter] 1.9 67 -6.65
execute if score stage tutorial matches 1 if entity @a[nbt={SelectedItem:{id:"minecraft:quartz"}}] run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 1 if entity @a[nbt={SelectedItem:{id:"minecraft:quartz"}}] run scoreboard players set stage tutorial 2

#Stage 2. RIGHT-CLICK The wooden board to place the dough.
execute if score stage tutorial matches 2 run title @a actionbar ["",{"text":"i","font":"pizza"},{"text":" the ","color":"#B3E395"},{"text":"wooden board ","color":"#AF8672"},{"text":"to place the ","color":"#B3E395"},{"text":"dough","color":"white"},{"text":".","color":"#B3E395"}]
execute if score stage tutorial matches 2 run teleport @e[tag=tutorial_hinter] 3.85 67 -6.60
execute if score stage tutorial matches 2 if score dough current_pizza matches 2 run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 2 if score dough current_pizza matches 2 run scoreboard players set stage tutorial 3

#Stage 3. RIGHT-CLICK The sauce to pick it up.
execute if score stage tutorial matches 3 run title @a actionbar [{"text":"Follow the ingredient board, ","color":"#B3E395"},{"text":"i","font":"pizza"},{"text":" the ","color":"#B3E395"},{"text":"sauce ","color":"#FF5555"},{"text":"to pick it up.","color":"#B3E395"}]
execute if score stage tutorial matches 3 run teleport @e[tag=tutorial_hinter] 2.45 67 -7.5
execute if score stage tutorial matches 3 if entity @a[nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 3 if entity @a[nbt={SelectedItem:{id:"minecraft:iron_hoe"}}] run scoreboard players set stage tutorial 4

#Stage 4. RIGHT-CLICK The placed dough to cover it with sauce.
execute if score stage tutorial matches 4 run title @a actionbar ["",{"text":"i","font":"pizza"},{"text":" the","color":"#B3E395"},{"text":" dough ","color":"white"},{"text":"to cover it with ","color":"#B3E395"},{"text":"sauce","color":"#FF5555"},{"text":".","color":"#B3E395"}]
execute if score stage tutorial matches 4 run teleport @e[tag=tutorial_hinter] 3.85 67 -6.60
execute if score stage tutorial matches 4 if score sauce current_pizza matches 1 run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 4 if score sauce current_pizza matches 1 run scoreboard players set stage tutorial 5

#Stage 5. RIGHT-CLICK The cheese to pick it up.
execute if score stage tutorial matches 5 run title @a actionbar [{"text":"Follow the ingredient board, ","color":"#B3E395"},{"text":"i","font":"pizza"},{"text":" the","color":"#B3E395"},{"text":" cheese ","color":"#FFF74F"},{"text":"to pick it up.","color":"#B3E395"}]
execute if score stage tutorial matches 5 run teleport @e[tag=tutorial_hinter] 4.9 67 -7.5
execute if score stage tutorial matches 5 if entity @a[nbt={SelectedItem:{id:"minecraft:gold_nugget"}}] run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 5 if entity @a[nbt={SelectedItem:{id:"minecraft:gold_nugget"}}] run scoreboard players set stage tutorial 6

#Stage 6. RIGHT-CLICK The placed dough to sprinkle cheese on it.
execute if score stage tutorial matches 6 run title @a actionbar ["",{"text":"i","font":"pizza"},{"text":" the ","color":"#B3E395"},{"text":"dough ","color":"white"},{"text":"to sprinkle ","color":"#B3E395"},{"text":"cheese ","color":"#FFF74F"},{"text":"on it.","color":"#B3E395"}]
execute if score stage tutorial matches 6 run teleport @e[tag=tutorial_hinter] 3.85 67 -6.60
execute if score stage tutorial matches 6 if score cheese current_pizza matches 1 run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 6 if score cheese current_pizza matches 1 run scoreboard players set stage tutorial 7

#Stage 7. RIGHT-CLICK The pizza board to pick it up.
execute if score stage tutorial matches 7 run title @a actionbar ["",{"text":"i","font":"pizza"},{"text":" the ","color":"#B3E395"},{"text":"pizza board ","color":"#D1B68B"},{"text":"to pick it up.","color":"#B3E395"}]
execute if score stage tutorial matches 7 run teleport @e[tag=tutorial_hinter] 4.9 67.0 -6.0
execute if score stage tutorial matches 7 if entity @a[nbt={SelectedItem:{id:"minecraft:diamond_shovel"}}] run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 7 if entity @a[nbt={SelectedItem:{id:"minecraft:diamond_shovel"}}] run scoreboard players set stage tutorial 8

#Stage 8. RIGHT-CLICK The placed dough with the board to pick up the pizza.
execute if score stage tutorial matches 8 run title @a actionbar ["",{"text":"i","font":"pizza"},{"text":" the ","color":"#B3E395"},{"text":"dough ","color":"white"},{"text":"with the ","color":"#B3E395"},{"text":"pizza board ","color":"#D1B68B"},{"text":"to move the pizza around.","color":"#B3E395"}]
execute if score stage tutorial matches 8 run teleport @e[tag=tutorial_hinter] 3.85 67 -6.60
execute if score stage tutorial matches 8 if score carry_pizza pizzaCalculator matches 1 run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 8 if score carry_pizza pizzaCalculator matches 1 run scoreboard players set stage tutorial 9

#Stage 9. Move the pizza towards the oven and RIGHT-CLICK to bake it.
execute if score stage tutorial matches 9 run title @a actionbar ["",{"text":"Move the pizza towards the ","color":"#B3E395"},{"text":"oven ","color":"gray"},{"text":"and ","color":"#B3E395"},{"text":"i","font":"pizza"},{"text":" to bake it","color":"#B3E395"}]
execute if score stage tutorial matches 9 run teleport @e[tag=tutorial_hinter] 7.5 67 -4.0
execute if score stage tutorial matches 9 if score oven_timer pizzaCalculator >= 0 pizzaCalculator run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 9 if score oven_timer pizzaCalculator >= 0 pizzaCalculator run scoreboard players set stage tutorial 10

#Stage 10. RIGHT-CLICK the pizza with the board before it burns.
execute if score stage tutorial matches 10 run title @a actionbar ["",{"text":"i","font":"pizza"},{"text":" the pizza with the ","color":"#B3E395"},{"text":"pizza board ","color":"#D1B68B"},{"text":"and pick it up ","color":"#B3E395"},{"text":"before it burns","color":"#993300"},{"text":".","color":"#B3E395"}]
execute if score stage tutorial matches 10 run teleport @e[tag=tutorial_hinter] 7.5 67 -4.0
execute if score stage tutorial matches 10 if score dough current_pizza matches 3 if score carry_pizza pizzaCalculator matches 1 run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 10 if score dough current_pizza matches 3 if score carry_pizza pizzaCalculator matches 1 run scoreboard players set stage tutorial 11
execute if score stage tutorial matches 10 if score dough current_pizza matches 4 run playsound minecraft:block.fire.extinguish master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 10 if score dough current_pizza matches 4 run scoreboard players set stage tutorial 14

#Stage 11. Move the baked pizza towards the boxing station and RIGHT-CLICK to box the pizza.
execute if score stage tutorial matches 11 run title @a actionbar ["",{"text":"Move the pizza towards the ","color":"#B3E395"},{"text":"boxing station ","color":"#D1B68B"},{"text":"and ","color":"#B3E395"},{"text":"i","font":"pizza"},{"text":" to box the pizza.","color":"#B3E395"}]
execute if score stage tutorial matches 11 run teleport @e[tag=tutorial_hinter] 3.5 67.35 -1.5
execute if score stage tutorial matches 11 if score packed pizzaCalculator matches 1 run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 11 if score packed pizzaCalculator matches 1 run scoreboard players set stage tutorial 12

#Stage 12. Move the boxed pizza to the counter and RIGHT-CLICK to serve it.
execute if score stage tutorial matches 12 run title @a actionbar ["",{"text":"Move the pizza to the counter and ","color":"#B3E395"},{"text":"i","font":"pizza"},{"text":" to serve it.","color":"#B3E395"}]
execute if score stage tutorial matches 12 run teleport @e[tag=tutorial_hinter] 0.0 67 -7.0
execute if score stage tutorial matches 12 if score pizza_delivered stats matches 1 run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 12 if score pizza_delivered stats matches 1 run scoreboard players set stage tutorial 13

#Stage 13. Finished tutorial
execute if score stage tutorial matches 13 run function pizza:actions/kill/tutorial
execute if score stage tutorial matches 13 run scoreboard players set running tutorial 0

execute store result entity @e[tag=tutorial_highlighter,limit=1] item.components."minecraft:custom_model_data" int 1 run scoreboard players get stage tutorial

#Stage 14. Happens if pizza is burnt mid Stage 10, RIGHT-CLICK The burnt pizza using the wooden board
execute if score stage tutorial matches 14 run title @a actionbar ["",{"text":"i","font":"pizza"},{"text":" the ","color":"#B3E395"},{"text":"burnt pizza ","color":"#993300"},{"text":"with the ","color":"#B3E395"},{"text":"pizza board ","color":"#D1B68B"},{"text":"to move the pizza around.","color":"#B3E395"}]
execute if score stage tutorial matches 14 run teleport @e[tag=tutorial_hinter] 3.85 67 -6.60
execute if score stage tutorial matches 14 run data modify entity @e[tag=tutorial_highlighter,limit=1] item.components."minecraft:custom_model_data" set value 10
execute if score stage tutorial matches 14 if score carry_pizza pizzaCalculator matches 1 if score dough current_pizza matches 4 run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 14 if score carry_pizza pizzaCalculator matches 1 if score dough current_pizza matches 4 run scoreboard players set stage tutorial 15

#Stage 15. Move the burnt pizza towards the trash can and RIGHT-CLICK to throw the burnt pizza
execute if score stage tutorial matches 15 run title @a actionbar ["",{"text":"Move the ","color":"#B3E395"},{"text":"burnt pizza ","color":"#993300"},{"text":"towards the ","color":"#B3E395"},{"text":"trash can","color":"#009933"},{"text":" and ","color":"#B3E395"},{"text":"i","font":"pizza"},{"text":" to throw the pizza.","color":"#B3E395"}]
execute if score stage tutorial matches 15 run teleport @e[tag=tutorial_hinter] 1.5 66.25 -1.5
execute if score stage tutorial matches 15 if score dough current_pizza matches 0 run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~ 100 2
execute if score stage tutorial matches 15 if score dough current_pizza matches 0 if score pizza_delivered stats matches 0 run scoreboard players set stage tutorial 1
execute if score stage tutorial matches 15 if score dough current_pizza matches 0 if score pizza_delivered stats matches 1.. run scoreboard players set stage tutorial 13




execute unless score stage tutorial matches 13 unless score stage tutorial matches 15 unless score stage tutorial matches 1 unless score stage tutorial matches 2 if score dough current_pizza matches 0 run scoreboard players set stage tutorial 1